Skip to main content
GET
/
inbox
/
linkedin
/
messages
/
{linkedinMessageId}
Get a LinkedIn message
curl --request GET \
  --url https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "objectType": "linkedin_message",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "text": "<string>",
  "conversationId": "<string>",
  "prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "happenedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Path Parameters

linkedinMessageId
string<uuid>
required

The UUID of the LinkedIn message.

Response

The LinkedIn message object

id
string<uuid>
required

Unique identifier for the object.

objectType
enum<string>
required

The type of this object.

Available options:
linkedin_message
createdAt
string<date-time>
required

Timestamp when the object was created.

updatedAt
string<date-time>
required

Timestamp when the object was last updated.

text
string
required

The message text content.

type
enum<string>
required

The type of the LinkedIn message.

Available options:
manual,
campaign,
reply_agent,
received
status
enum<string>
required

The status of the LinkedIn message.

Available options:
sent,
draft
conversationId
string

The LinkedIn conversation ID.

prospectId
string<uuid>

The ID of the prospect associated with this message.

repId
string<uuid>

The ID of the rep associated with this message.

happenedAt
string<date-time>

Timestamp when the message was sent or received.